diff --git a/Makefile b/Makefile
index 3084ae7..7ea1964 100644
--- a/Makefile
+++ b/Makefile
@@ -58,6 +57,10 @@ ifeq ($(OS),NetBSD)
 LIBS+=-lprop
 endif
 
+ifeq ($(OS),OpenBSD)
+LIBS+=-lpthread
+endif
+
 # This probably applies for any pkgsrc based system
 ifneq (, $(filter $(OS), NetBSD DragonFly))
 CFLAGS+=-I/usr/pkg/include/
@@ -79,9 +82,12 @@ CFLAGS += -idirafter yajl-fallback
 OBJS:=$(sort $(wildcard src/*.c *.c))
 OBJS:=$(OBJS:.c=.o)
 
-ifeq ($(OS),OpenBSD)
+PULSE ?= 1
+ifeq ($(PULSE),0)
 OBJS:=$(filter-out src/pulse.o, $(OBJS))
 LIBS:=$(filter-out -lpulse, $(LIBS))
+else
+CPPFLAGS+=-DPULSE
 endif
 
 src/%.o: src/%.c include/i3status.h
diff --git a/src/print_volume.c b/src/print_volume.c
index 51e84f3..9e015c0 100644
--- a/src/print_volume.c
+++ b/src/print_volume.c
@@ -61,7 +61,7 @@ void print_volume(yajl_gen json_gen, char *buffer, const char *fmt, const char *
         free(instance);
     }
 
-#ifndef __OpenBSD__
+#if !defined(__OpenBSD__) && defined(PULSE)
     /* Try PulseAudio first */
 
     /* If the device name has the format "pulse[:N]" where N is the
